import { fetchData, queryListData } from "./link";
export type FetchType = {
  typeId: string;
  url: string;
  name?: string;
  hasSubType?: boolean;
}
const fetchList = [

  {
    name: 'AI写作工具',
    typeId: '6790aae23de33b392c0330b2',
    url: 'https://ai-bot.cn/favorites/ai-writing-tools/'
  },
  {
    name: 'AI图像网站',
    typeId: '67908fc33de33b392c0330af',
    url: 'https://ai-bot.cn/favorites/best-ai-image-tools/'
  },
  {
    name: 'AI视频网站',
    typeId: '67b6f0b7b139d1d6aa14cd06',
    url: 'https://ai-bot.cn/favorites/ai-video-tools/'
  },
  {
    name: 'AI音频网站',
    typeId: '6791a98fc058e55ed0a094ca',
    url: 'https://ai-bot.cn/favorites/ai-audio-tools/'
  },
  {
    name: 'AI办公网站',
    typeId: '6790ab4f3de33b392c0330b3',
    url: 'https://ai-bot.cn/favorites/ai-office-tools/',
    hasSubType: true
  },
  {
    name: 'AI搜索工具',
    typeId: '6790dc6b3de33b392c0330bb',
    url: 'https://ai-bot.cn/favorites/ai-search-engines/'
  },
  {
    name: 'AI对话网站',
    typeId: '6790c2f93de33b392c0330b6',
    url: 'https://ai-bot.cn/favorites/ai-chatbots/'
  },
  {
    name: 'AI内容检测',
    typeId: '67b707c9b139d1d6aa14cd07',
    url: 'https://ai-bot.cn/favorites/ai-content-detection-tools/'
  },
  {
    name: 'AI学习工具',
    typeId: '67b7080fb139d1d6aa14cd08',
    url: 'https://ai-bot.cn/favorites/websites-to-learn-ai/'
  },
  {
    name: 'AI开发平台',
    typeId: '67b7eb3de0cf2993700b1186',
    url: 'https://ai-bot.cn/favorites/ai-frameworks/'
  },
  {
    name: 'AI提示工具',
    typeId: '67b7e9bce0cf2993700b1184',
    url: 'https://ai-bot.cn/favorites/ai-prompt-tools/'
  },
  {
    name: 'AI法律助手',
    typeId: '67b7eae0e0cf2993700b1185',
    url: 'https://ai-bot.cn/favorites/ai-legal-assistants/'
  },
  {
    name: 'AI训练模型',
    typeId: '67b7eb84e0cf2993700b1187',
    url: 'https://ai-bot.cn/favorites/ai-models/'
  },
  {
    name: 'AI设计工具',
    typeId: '6790ab9d3de33b392c0330b4',
    url: 'https://ai-bot.cn/favorites/ai-design-tools/'
  },

  {
    name: 'AI编程工具',
    typeId: '6790dc2c3de33b392c0330ba',
    url: 'https://ai-bot.cn/favorites/websites-to-learn-ai/'
  }

]
function main() {
  console.log("Hello, this is the main function!");
  queryListData(fetchList)
  // test()
}

main();
